package com.bonus.zlpt.equip.service.impl;

import java.util.List;


import com.bonus.zlpt.common.core.domain.equip.vo.DevInfoVo;

import com.bonus.zlpt.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.zlpt.equip.mapper.DevInfoMapper;
import com.bonus.zlpt.common.core.domain.equip.DevInfo;
import com.bonus.zlpt.equip.service.IDevInfoService;

/**
 * 设备信息Service业务层处理
 * 
 * @author xsheng
 * @date 2023-12-02
 */
@Service
public class DevInfoServiceImpl implements IDevInfoService 
{
    @Autowired
    private DevInfoMapper devInfoMapper;

    /**
     * 查询设备信息
     * 
     * @param maId 设备信息主键
     * @return 设备信息
     */
    @Override
    public DevInfoVo selectDevInfoByMaId(Long maId)
    {
        return devInfoMapper.selectDevInfoByMaId(maId);
    }



    /**
     * 查询设备信息列表
     * 
     * @param devInfo 设备信息
     * @return 设备信息
     */
    @Override
    public List<DevInfoVo> selectDevInfoList(DevInfoVo devInfo)
    {
        return devInfoMapper.selectDevInfoList(devInfo);
    }

    /**
     * 新增设备信息
     * 
     * @param devInfo 设备信息
     * @return 结果
     */
    @Override
    public int insertDevInfo(DevInfo devInfo)
    {
        devInfo.setCreateTime(DateUtils.getNowDate());
        return devInfoMapper.insertDevInfo(devInfo);
    }

    /**
     * 修改设备信息
     * 
     * @param devInfo 设备信息
     * @return 结果
     */
    @Override
    public int updateDevInfo(DevInfo devInfo)
    {
        devInfo.setUpdateTime(DateUtils.getNowDate());
        return devInfoMapper.updateDevInfo(devInfo);
    }

    /**
     * 批量删除设备信息
     * 
     * @param maIds 需要删除的设备信息主键
     * @return 结果
     */
    @Override
    public int deleteDevInfoByMaIds(Long[] maIds)
    {
        return devInfoMapper.deleteDevInfoByMaIds(maIds);
    }

    /**
     * 删除设备信息信息
     * 
     * @param maId 设备信息主键
     * @return 结果
     */
    @Override
    public int deleteDevInfoByMaId(Long maId)
    {
        return devInfoMapper.deleteDevInfoByMaId(maId);
    }
}
